package com.gh.common.provider

import android.content.Context
import com.gh.gamecenter.feature.entity.InstallGameEntity
import com.gh.gamecenter.feature.provider.IVHelperProvider
import com.gh.vspace.VHelper

@com.therouter.inject.ServiceProvider
class VHelperProviderImpl: IVHelperProvider {
    override fun isVGameOn(): Boolean {
        return VHelper.isVGameOn()
    }

    override fun getAllInstalledVGameEntity(): ArrayList<InstallGameEntity> {
        return VHelper.getAllInstalledVGameEntity()
    }

    override fun launch(context: Context, packageName: String, ignoreGApps: Boolean, showLoading: Boolean) {
        VHelper.launch(context, packageName, ignoreGApps, showLoading)
    }
}